@echo off
if '%1' == '' goto shell
title Mobi2IMP Conversion
echo Command Line
echo ============
echo.
echo "%~dp0bin\Mobi2IMP" %*
echo.
"%~dp0bin\Mobi2IMP" %*
pause
exit /b %errorlevel%

:shell
echo No file specified, starting command shell.
cmd /k title Mobi2IMP Shell
exit /b 0